From 77d8c3b55f12b22b287a30f710b417e5dd0611bd Mon Sep 17 00:00:00 2001
From: Moritz Klammler <moritz@klammler.eu>
Date: Sat, 4 Apr 2015 03:59:48 +0200
Subject: [PATCH] Removed non-ASCII characters in comments.

These characters caused the `macro2m4.py` script to terminate with an error:

    $ make maintainer-all
    ...
    python ./macro2m4.py "m4/ax_compiler_flags_cflags.m4" "stage/ax_compiler_flags_cflags.m4"
    Traceback (most recent call last):
    File "./macro2m4.py", line 56, in <module>
      m = Macro(m4File, computeSerialNumber=True)
    File "~/src/autoconf-archive/macro.py", line 62, in __init__
      (header,body) = loadFile(filePath).split("\n\n", 1)
    File "~/src/autoconf-archive/macro.py", line 8, in loadFile
      return fd.read()
    File "/usr/lib/python3.4/encodings/ascii.py", line 26, in decode
      return codecs.ascii_decode(input, self.errors)[0]
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 3615: ordinal not in range(128)
    cfg.mk:35: recipe for target 'stage/ax_compiler_flags_cflags.m4' failed
    make: *** [stage/ax_compiler_flags_cflags.m4] Error 1

This error might only occur when using Python 3.

Since all affected characters were apostrophes in comments, I simply replaced
them with ASCII character 39.

The serial numbers of the files were incremented.
---
 m4/ax_compiler_flags.m4          | 4 ++--
 m4/ax_compiler_flags_cflags.m4   | 4 ++--
 m4/ax_compiler_flags_cxxflags.m4 | 4 ++--
 m4/ax_compiler_flags_ldflags.m4  | 4 ++--
 4 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/m4/ax_compiler_flags.m4 b/m4/ax_compiler_flags.m4
index c52ae7d..6cfe398 100644
--- a/m4/ax_compiler_flags.m4
+++ b/m4/ax_compiler_flags.m4
@@ -101,7 +101,7 @@
 #   and this notice are preserved.  This file is offered as-is, without any
 #   warranty.
 
-#serial 12
+#serial 13
 
 # _AX_COMPILER_FLAGS_LANG([LANGNAME])
 m4_defun([_AX_COMPILER_FLAGS_LANG],
@@ -138,7 +138,7 @@ AC_DEFUN([AX_COMPILER_FLAGS],[
                                  [Unconditionally make all compiler warnings non-fatal]),,
                   [enable_Werror=maybe])
 
-    # Return the user’s chosen warning level
+    # Return the user's chosen warning level
     AS_IF([test "$enable_Werror" = "no" -a \
                 "$enable_compile_warnings" = "error"],[
         enable_compile_warnings="yes"
diff --git a/m4/ax_compiler_flags_cflags.m4 b/m4/ax_compiler_flags_cflags.m4
index 295d7fe..86896c1 100644
--- a/m4/ax_compiler_flags_cflags.m4
+++ b/m4/ax_compiler_flags_cflags.m4
@@ -25,7 +25,7 @@
 #   and this notice are preserved.  This file is offered as-is, without any
 #   warranty.
 
-#serial 8
+#serial 9
 
 AC_DEFUN([AX_COMPILER_FLAGS_CFLAGS],[
     AX_REQUIRE_DEFINED([AX_APPEND_COMPILE_FLAGS])
@@ -100,7 +100,7 @@ AC_DEFUN([AX_COMPILER_FLAGS_CFLAGS],[
     ])
     AS_IF([test "$ax_enable_compile_warnings" = "error"],[
         # "error" flags; -Werror has to be appended unconditionally because
-        # it’s not possible to test for
+        # it's not possible to test for
         #
         # suggest-attribute=format is disabled because it gives too many false
         # positives
diff --git a/m4/ax_compiler_flags_cxxflags.m4 b/m4/ax_compiler_flags_cxxflags.m4
index b768cfa..dd3b583 100644
--- a/m4/ax_compiler_flags_cxxflags.m4
+++ b/m4/ax_compiler_flags_cxxflags.m4
@@ -26,7 +26,7 @@
 #   and this notice are preserved.  This file is offered as-is, without any
 #   warranty.
 
-#serial 4
+#serial 5
 
 AC_DEFUN([AX_COMPILER_FLAGS_CXXFLAGS],[
     AX_REQUIRE_DEFINED([AX_APPEND_COMPILE_FLAGS])
@@ -96,7 +96,7 @@ AC_DEFUN([AX_COMPILER_FLAGS_CXXFLAGS],[
     ])
     AS_IF([test "$ax_enable_compile_warnings" = "error"],[
         # "error" flags; -Werror has to be appended unconditionally because
-        # it’s not possible to test for
+        # it's not possible to test for
         #
         # suggest-attribute=format is disabled because it gives too many false
         # positives
diff --git a/m4/ax_compiler_flags_ldflags.m4 b/m4/ax_compiler_flags_ldflags.m4
index f9077fc..f393ba4 100644
--- a/m4/ax_compiler_flags_ldflags.m4
+++ b/m4/ax_compiler_flags_ldflags.m4
@@ -25,7 +25,7 @@
 #   and this notice are preserved.  This file is offered as-is, without any
 #   warranty.
 
-#serial 3
+#serial 4
 
 AC_DEFUN([AX_COMPILER_FLAGS_LDFLAGS],[
     AX_REQUIRE_DEFINED([AX_APPEND_COMPILE_FLAGS])
@@ -61,7 +61,7 @@ AC_DEFUN([AX_COMPILER_FLAGS_LDFLAGS],[
     ])
     AS_IF([test "$ax_enable_compile_warnings" = "error"],[
         # "error" flags; -Werror has to be appended unconditionally because
-        # it’s not possible to test for
+        # it's not possible to test for
         #
         # suggest-attribute=format is disabled because it gives too many false
         # positives
-- 
2.3.4

